{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FRES_TYPE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = MBEC_TYPE; }; 
            name = fresType; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = MEC_KEY; }; 
            name = fspnKey; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (fspnKey, persId); 
    className = EOGenericRecord; 
    classProperties = (
        fspnKey, 
        persId, 
        fresType, 
        fannKey, 
        toScolFormationAnnee, 
        toScolFormationSpecialisation, 
        toGrhumPersonne
    ); 
    externalName = SCOL_FORMATION_RESPONSABILITE; 
    fetchSpecificationDictionary = {}; 
    name = ScolFormationResponsabilite; 
    primaryKeyAttributes = (fspnKey, persId); 
    relationships = (
        {
            destination = GrhumPersonne; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = toGrhumPersonne; 
        }, 
        {
            destination = ScolFormationAnnee; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolFormationSpecialisation; 
            internalInfo = {_nameInObjectStore = toScolMaquetteEc; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fspnKey; sourceAttribute = fspnKey; }); 
            name = toScolFormationSpecialisation; 
        }
    ); 
}
